View Issue Details

IDProjectCategoryView StatusLast Update
0011357ScribusUser Interfacepublic2016-05-14 19:25
Reporterfschmid Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version1.5.0svn 
Target Version1.6 milestoneFixed in Version 
Summary0011357: Improve Symbols Dialog
DescriptionThe Symbols dialog could be structured like the Scrapbook dialog, with options to to save and load symbol sets, as well as creating new ones. If someday Scribus can import symbol sets for Illustrator (special eps and ai files), these could be loaded via the Open option in the Symbols dialog. For Scribus symbol sets, we could use something like SCE or Scribus objects.

Christoph writes in duplicate merged ticket 0011377
"Symbols" is a wonderful feature, but it needs some usability and feature improvements. Looking at Illustrator, from which the feature, as well as the name seem to have been derived, it is possible to "break" the link of an item to the Symbols library. Scribus should either provide this feature or another way to convert it to a normal item.

Users should also be able to delete Symbols from the library without having to open the Fills dialog (see: Scrapbook).

With the Symbols dialog open in Illustrator, it's also very easy to add a new item to the library: select item and click the "New Symbol" button. Done! (I don't think the choice of "New Symbol" is a good one, though; I'd prefer a more telling description of the operation).
TagsNo tags attached.
PatchNo

Relationships

related to 0012792 assignedfschmid Support for Illustrator resources (ex. gradients and symbols) 
has duplicate 0011377 closed Improvements to Symbol Library dialog 
related to 0011353 closedfschmid Symbols handling is completely unintuitive 

Activities

Kunda

2014-07-03 04:28

manager   ~0032418

bump to 1.6 milestone

Kunda

2016-05-14 19:22

manager   ~0041042

Last edited: 2016-05-14 19:25

View 2 revisions

See 0012792

Kunda

2016-05-14 19:25

manager   ~0041044

Merged 0011377 in to this ticket

Issue History

Date Modified Username Field Change
2013-01-07 11:42 fschmid New Issue
2013-01-07 20:47 christoph_s Relationship added related to 0011353
2014-07-03 04:28 Kunda Note Added: 0032418
2014-07-03 04:28 Kunda Target Version 1.5.0 => 1.6 milestone
2016-05-14 18:50 Kunda Relationship added related to 0011377
2016-05-14 18:51 Kunda Relationship added related to 0012792
2016-05-14 19:22 Kunda Note Added: 0041042
2016-05-14 19:23 Kunda Patch => No
2016-05-14 19:23 Kunda Description Updated View Revisions
2016-05-14 19:24 Kunda Relationship replaced has duplicate 0011377
2016-05-14 19:25 Kunda Note Edited: 0041042 View Revisions
2016-05-14 19:25 Kunda Note Added: 0041044